Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkBMPReader Class Reference

`#include <vtkBMPReader.h>`

Inheritance diagram for vtkBMPReader:

[legend]
Collaboration diagram for vtkBMPReader:

[legend]
List of all members.

## Detailed Description

read Windows BMP files

Date:
  2002/11/25 11:14:50

Revision:
  1.28

vtkBMPReader is a source object that reads Windows BMP files. This includes indexed and 24bit bitmaps Usually, all BMPs are converted to 24bit RGB, but BMPs may be output as 8bit images with a LookupTable if the Allow8BitBMP flag is set.

BMPReader creates structured point datasets. The dimension of the dataset depends upon the number of files read. Reading a single file results in a 2D image, while reading more than one file results in a 3D volume.

To read a volume, files must be of the form "FileName.<number>" (e.g., foo.bmp.0, foo.bmp.1, ...). You must also specify the image range. This range specifies the beginning and ending files to read (range can be any pair of non-negative numbers).

The default behavior is to read a single file. In this case, the form of the file is simply "FileName" (e.g., foo.bmp).

See also:
  vtkBMPWriter

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (55%)
  - Miller, Jim (12%)
  - Biddiscombe, John (9%)
  - Lorensen, Bill (7%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkBMPReader.h)`
  - .`cxx` (`/IO/vtkBMPReader.cxx)`

Examples:
  vtkBMPReader (Examples)

Tests:
  vtkBMPReader (Tests)

Definition at line 69 of file vtkBMPReader.h.

## Public Types
typedef vtkImageReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkLookupTable * | GetLookupTable (void)
virtual int | GetDepth ()
virtual int | CanReadFile (const char *fname)
virtual const char * | GetFileExensions ()
virtual const char * | GetDescriptiveName ()
virtual void | SetAllow8BitBMP (int)
virtual int | GetAllow8BitBMP ()
virtual void | Allow8BitBMPOn ()
virtual void | Allow8BitBMPOff ()
virtual unsigned char * | GetColors ()
## Static Public Methods
vtkBMPReader * | New ()
int | IsTypeOf (const char *type)
vtkBMPReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkBMPReader ()
| ~vtkBMPReader ()
virtual void | ComputeDataIncrements ()
virtual void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *out)
## Protected Attributes
unsigned char * | Colors
short | Depth
int | Allow8BitBMP
vtkLookupTable * | LookupTable

## Member Typedef Documentation

typedef vtkImageReader vtkBMPReader::Superclass

| Reimplemented from vtkImageReader. Definition at line 73 of file vtkBMPReader.h.

## Constructor & Destructor Documentation

vtkBMPReader::vtkBMPReader | ( |  | ) | `[protected]`

vtkBMPReader::~vtkBMPReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkBMPReader* vtkBMPReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageReader.

virtual const char* vtkBMPReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageReader.

int vtkBMPReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReader.

virtual int vtkBMPReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReader.

vtkBMPReader* vtkBMPReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageReader.

void vtkBMPReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageReader.

virtual int vtkBMPReader::GetDepth | ( |  | ) | `[virtual]`

| Returns the depth of the BMP, either 8 or 24.

virtual int vtkBMPReader::CanReadFile | ( | const char * | fname | ) | `[virtual]`

virtual const char* vtkBMPReader::GetFileExensions | ( |  | ) | `[inline, virtual]`

| Get the file extensions for this format. Returns a string with a space separated list of extensions in the format .extension Reimplemented from vtkImageReader2. Definition at line 88 of file vtkBMPReader.h.

virtual const char* vtkBMPReader::GetDescriptiveName | ( |  | ) | `[inline, virtual]`

| Return a descriptive name for the file format that might be useful in a GUI. Reimplemented from vtkImageReader2. Definition at line 97 of file vtkBMPReader.h.

virtual void vtkBMPReader::SetAllow8BitBMP | ( | int |  | ) | `[virtual]`

| If this flag is set and the BMP reader encounters an 8bit file, the data will be kept as unsigned chars and a lookuptable will be exported

virtual int vtkBMPReader::GetAllow8BitBMP | ( |  | ) | `[virtual]`

| If this flag is set and the BMP reader encounters an 8bit file, the data will be kept as unsigned chars and a lookuptable will be exported

virtual void vtkBMPReader::Allow8BitBMPOn | ( |  | ) | `[virtual]`

| If this flag is set and the BMP reader encounters an 8bit file, the data will be kept as unsigned chars and a lookuptable will be exported

virtual void vtkBMPReader::Allow8BitBMPOff | ( |  | ) | `[virtual]`

| If this flag is set and the BMP reader encounters an 8bit file, the data will be kept as unsigned chars and a lookuptable will be exported

vtkLookupTable* vtkBMPReader::GetLookupTable | ( | void |  | ) |

virtual unsigned char* vtkBMPReader::GetColors | ( |  | ) | `[virtual]`

| Returns the color lut.

virtual void vtkBMPReader::ComputeDataIncrements | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkImageReader2.

virtual void vtkBMPReader::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkImageReader.

virtual void vtkBMPReader::ExecuteData | ( | vtkDataObject * | out | ) | `[protected, virtual]`

| Reimplemented from vtkImageReader.

## Member Data Documentation

unsigned char* vtkBMPReader::Colors`[protected]`

| Definition at line 125 of file vtkBMPReader.h.

short vtkBMPReader::Depth`[protected]`

| Definition at line 126 of file vtkBMPReader.h.

int vtkBMPReader::Allow8BitBMP`[protected]`

| Definition at line 127 of file vtkBMPReader.h.

vtkLookupTable* vtkBMPReader::LookupTable`[protected]`

| Definition at line 128 of file vtkBMPReader.h.

The documentation for this class was generated from the following file:

- IO/vtkBMPReader.h